function displayResults(the_results) {
  var display_me = "";
  var splitter;
  var this_result = null;
  for (var loop = 0; loop < the_results.length; loop++) {
    this_result = the_results[loop];
    if (this_result != null) {
      splitter = this_result.split("\t");
      display_me += "<tr><td align='left'>" + splitter[0] +
        "</td><td align='right'>" + splitter[1] + "</td></tr>";
    }
  }
  document.getElementById("theResults").style.height =
    (the_results.length + parseInt(the_results.length / 5) + 1) + "em";
  document.getElementById("theResults").innerHTML =
    "<table width='100%' border='0' cellpadding='0' cellspacing='0'>" +
    display_me + "</table>";
}